%define major	3
%define libname	%mklibname goocanvas %{major}
%define devname	%mklibname -d goocanvas

%define url_ver %(echo %version | cut -d. -f1,2)

Name:		goocanvas
Version:	1.0.0
Release:	%mkrel 3
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/GNOME and GTK+
License:	LGPL+
URL:		http://sourceforge.net/projects/goocanvas
Source:		http://download.gnome.org/sources/goocanvas/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	gtk+2-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool

%description
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for 
drawing. It has a model/view split, and uses interfaces for canvas items and 
views, so you can easily turn any application object into canvas items.

%package -n %{libname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n %{libname}
This package contains the shared library for goocanvas.

%package i18n
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Internationalization

%description i18n
This package contains the translations for goocanvas.

%package -n %{devname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries, include files 
and documentation.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make LIBS=-lm

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -n %{libname}
%doc README AUTHORS
%{_libdir}/lib%{name}.so.%{major}*

%files i18n -f %{name}.lang

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-1.0/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 352426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 wally <wally> 1.0.0-2.mga3
+ Revision: 287038
- disable static build and get rid of .la files
- clean .spec

* Fri Jul 08 2011 ahmad <ahmad> 1.0.0-1.mga2
+ Revision: 120213
- Update to 1.0.0

* Sun Jan 23 2011 pterjan <pterjan> 0.15-3.mga1
+ Revision: 35433
- Drop old stuff
- imported package goocanvas

